> For the complete documentation index, see [llms.txt](https://docs.corppass.gov.sg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.corppass.gov.sg/technical-specifications/corppass-authorization-api-fapi-2.0/scopes/myinfo-business-scopes.md).

# Myinfo Business Scopes

Myinfo Business scopes provide access to entity and personal information about the acting user and the entity they represent.

These scopes are **only available to** [**Myinfo Business applications**](/products/myinfo-business.md).

Corresponding Myinfo Business data is returned via the [**Userinfo Endpoint**](/technical-specifications/corppass-authorization-api-fapi-2.0/integration-guide/4.-userinfo-endpoint.md) as:

* `entity_info` for [Myinfo Business entity scopes](/technical-specifications/corppass-authorization-api-fapi-2.0/scopes/myinfo-business-scopes/entity-scopes.md), with the **`entity.`** prefix
* `person_info` for [Myinfo Business person scopes](/technical-specifications/corppass-authorization-api-fapi-2.0/scopes/myinfo-business-scopes/person-scopes.md), with the **`user.`** prefix
* `corppass_info` for [Myinfo Business Corppass scopes](/technical-specifications/corppass-authorization-api-fapi-2.0/scopes/myinfo-business-scopes/corppass-scopes.md), with the **`corppass.`** prefix

#### Example

<table><thead><tr><th width="276.6796875">Scope</th><th>Data returned in Userinfo Response</th></tr></thead><tbody><tr><td><strong><code>entity.</code></strong><code>basic_profile.name</code></td><td><p><strong><code>entity_info.</code></strong><code>basic_profile.name</code> </p><p></p><pre class="language-json"><code class="lang-json">{
  "entity_info": {
    "basic_profile": {
      "name": {
        "classification": "C",
        "lastupdated": "2018-01-31",
        "source": "1",
        "value": "ABC LL"
      }
    }
  }
}
</code></pre></td></tr><tr><td><strong><code>user.</code></strong><code>name</code></td><td><p><strong><code>person_info.</code></strong><code>name</code> </p><p></p><pre class="language-json"><code class="lang-json">{
  "person_info": {
    "name": {
       "classification": "C",
       "lastupdated": "2019-03-26",
       "source": "1",
       "value": "TAN XIAO HUI"
    }
  }
}
</code></pre></td></tr><tr><td><strong><code>corppass.</code></strong><code>email</code></td><td><p><strong><code>corppass_info.</code></strong><code>email</code> </p><p><strong><code>corppass_info.</code></strong><code>email_verified</code> </p><p></p><pre class="language-json"><code class="lang-json">{
  "corppass_info": {
    "email": "john@corppass.gov.sg",
    "email_verified": true
  }
}
</code></pre></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.corppass.gov.sg/technical-specifications/corppass-authorization-api-fapi-2.0/scopes/myinfo-business-scopes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
